### Method

# Vte Terminal get_termprop_double

since: 0.78

#### Declaration [src]

    gboolean
    vte_terminal_get_termprop_double (
      VteTerminal* terminal,
      const char* prop,
      double* valuep
    )

#### Description [src]

For a `VTE_PROPERTY_DOUBLE` termprop, sets `value` to `prop`‘s value, which is finite; or to 0.0 if `prop` is unset, or `prop` is not a registered property.

Available since: 0.78

#### Parameters

`prop`

  Type: `const char*`

  A termprop name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`valuep`

  Type: `double*`

  A location to store the value, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` iff the termprop is set.